//      mipv.h
//      
//      Copyright 2011 grchere <grchere@debian2>
//      
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 2 of the License, or
//      (at your option) any later version.
//      
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//      
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.

#include <unistd.h>
#include <sys/ipc.h> 
#include <sys/sem.h> 

// semWait()
void P(int semid,int nsem) {
	struct sembuf buf;
	buf.sem_num = nsem;
	buf.sem_op = -1; // wait
	buf.sem_flg = 0;
	semop(semid,&buf,1);
}

// semSignal()
void V(int semid,int nsem) {
	struct sembuf buf;
	buf.sem_num = nsem;
	buf.sem_op = 1; // signal
	buf.sem_flg = 0;
	semop(semid,&buf,1);
}
